<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 26/06/2011 *
 * ===================                          Last change: 26/06/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-send_coupon.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Send out coupons                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Versenden von Gutscheinen                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Is the form sent?
if (isFormSent()) {
	// Are all required fields set?
	if (!isPostRequestParameterSet('points')) {
		// Points not entered
		displayMessage('{--ADMIN_SEND_COUPON_POINTS_NOT_ENTERED--}');
	} elseif (!isPostRequestParameterSet('description')) {
		// Description not entered
		displayMessage('{--ADMIN_SEND_COUPON_DESCRIPTION_NOT_ENTERED--}');
	} else {
		// All fields are set, so we can start looking for users who wants to receive coupons
	}
} else {
	// Prepare some template data
	$content['coupon_default_time_selection'] = createConfigurationTimeSelections('coupon_default_time', 'WDh');

	// Load template
	loadTemplate('admin_send_coupon', false, $content);
}

// [EOF]
?>
